jbuilder9.0+jdk1.5的问题,请高手指点

04-02-08 yin-bp
jbuilder9.0+jdk1.5的问题,请高手指点

jbuilder9.0中,把工程属性中的jdk配置成jdk1.5.0,在程序中使用一些新的特性编译不过去,比如定义以下变量:

List<String> list = new ArrayList<String>();

源程序:

import java.util.*;

public class TestTypeCast

{

List<String> list = new ArrayList<String>();

public TestTypeCast()

{

}

}

编译时出错:"TestTypeCast.java": <identifier> expected at line 15, column 13

不知道jbuilder9支不支持jdk1.5

猜你喜欢